Bug 1021929 - Import context menu does not show plugin resource types when accessing by URL
Import context menu does not show plugin resource types when accessing by URL
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
low Severity unspecified
: ER05
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: 1012435
  Show dependency treegraph
 
Reported: 2013-10-22 06:50 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:36:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-10-22 06:50:47 EDT
Description of problem:


Version-Release number of selected component (if applicable):
JON 3.2.ER3

How reproducible: always


Steps to Reproduce:
1. install JON server with all plugin-packs
2. import at least 1 platform
3. navigate to your platform resource - directly by entering URL coregui/#Resource/10001/Inventory/Children
4. Click "Import" button on the bottom

Actual results: menu contains only 1 item (Process)


Expected results: all possible resource types are shown


Additional info: step 3 is very important. If you navitage from Inventory->platforms it works as expected. Same if you navigate using URL and than click resource tree and retry step 4.
Comment 1 Jirka Kremser 2013-10-30 14:28:41 EDT
branch:  release/jon3.2.x
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=66494e074
time:    2013-10-30 19:21:49 +0100
commit:  66494e0742126de409acd97bff9744f18b4de8f4
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1021929] - Import context menu does not show plugin resource types
         when accessing by URL
    
         Using the ResourceTypeRepository to fetch the resource type (with the
         ResourceTypeRepository.MetadataType.children and other metadata set)
    
         (cherry picked from commit 028ca82da5b4125bcc06b141cb2cd0709ac17c80)
Comment 2 Jay Shaughnessy 2013-10-31 13:09:25 EDT
release/jon3.2.x commit cb023c1565b0dd622e362c4ecdf30d48c6c98ae1
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Thu Oct 31 13:00:40 2013 -0400

Fix corner case where our implicit platform child types were not being
applied to platform types on initial entry of the type into the type repository.

This also reverts the prior fix which worked for the bug but did not solve
the root problem.

cherry-pick master ab61147086e6d184fbd981508e454ac90b6ace11



Leaving at MODIFIED for ER5
Comment 3 Simeon Pinder 2013-11-06 21:18:00 EST
Moving to ON_QA for test with new brew build.
Comment 4 Libor Zoubek 2013-11-07 06:32:56 EST
verified on JON 3.2.ER5

Note You need to log in before you can comment on or make changes to this bug.